#ifndef JPEG_H
#define JPEG_H

#include "jpeg_global.h"

/* ץμ */
enum OPTION_TYPE
  {
    BOOL,
    VALUE,
  };

/* ץѹ¤ */
typedef struct Option
{
  char* option_tag;   /* ץե饰 */
  char* option_name;  /* ץ̾(ե饰å) */
  char* help;         /* إ */
  int type;           /* ץ󥿥 */
  int flag;           /* ե饰 */
} Option;

typedef struct YUVArg
{
  double* yuv[YUV_SIZE];
  Mcu* mcu;
  unsigned char* encData;
} YUVArg;

Coord skip[SAMP_SIZE][YUV_SIZE] = {
  { { 1, 1, }, { 1, 1, }, { 1, 1, }, },
  { { 1, 1, }, { 2, 1, }, { 2, 1, }, },
  { { 1, 1, }, { 2, 2, }, { 2, 2, }, },
};

char* title[YUV_SIZE] = {
  "Y data image",
  "U data image",
  "V data image",
};

static DrawingArea dest, src, dct_img[YUV_SIZE];

static Option option[] = {
  { "s",      "sample",    "-s[n]      : ץˡ(n=0(default) 1:1:1:1:1:1 n=1 2:1:1:1:1:1 n=2 2:2:1:1:1:1)", VALUE, 0 },
  { "q",      "quality",   "-q[n]      : ̻Ҳ٥(n=1(low)9(high); n=0(̻ҲԤʤ;default)", VALUE, 0 },
  { "ysampx", "y_samplex", "-ysampx[n] : YʬXΥץ", VALUE, 0 },
  { "ysampy", "y_sampley", "-ysampy[n] : YʬYΥץ", VALUE, 0 },
  { "usampx", "u_samplex", "-usampx[n] : UʬXΥץ", VALUE, 0 },
  { "usampy", "u_sampley", "-usampy[n] : UʬYΥץ", VALUE, 0 },
  { "vsampx", "v_samplex", "-vsampx[n] : VʬXΥץ", VALUE, 0 },
  { "vsampy", "v_sampley", "-vsampy[n] : VʬYΥץ", VALUE, 0 },
  { "hc",     "huffman",   "-hc        : ϥեޥ󥳡ɤľ", BOOL, 0 },
  { "mcu",    "mcu",       "-mcu       : DCTѴMCUɽ", BOOL, 0 },
  { "p",      "print",     "-p         : DCTѴMCU(ǽΥ֥åΤ)ͤɽ", BOOL, 0 },
  { "h",      "help",      "-h    : إ",   0 },
  { NULL, NULL, NULL, 0 },
};

#endif
